Bug 1282085 - Create vm from template hangs forever when template on multiple domains, and first domain is not active
Create vm from template hangs forever when template on multiple domains, and ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Idan Shaby
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 15:37 EST by Nir Soffer
Modified: 2016-02-10 11:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 09:37:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)
Screenshot showing the empty menu entry selected by default (77.94 KB, image/png)
2015-11-14 15:39 EST, Nir Soffer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48644 master MERGED frontend: new VM from template blank value in target sd list Never
oVirt gerrit 48991 ovirt-engine-3.6 MERGED frontend: new VM from template blank value in target sd list Never

  None (edit)
Description Nir Soffer 2015-11-14 15:37:39 EST
Description of problem:

Trying to create a vm from tempalte, the dialog hang forever with 
circular progress indicator. 

Closing the dialog (with the (x) on the top right) works, the vm
is not created.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.6.1-0.0.master.20151113175558.git6a36a6d.fc22

How reproducible:
Always

Steps to Reproduce:
1. Have a setup with 2 storage domains
2. Create a template from vm
3. Copy template disk to both storage domains
3. Add a third storage domain
4. Copy template to third storage domain
5. Put third storage domain to maintenance
6. Create vm from the template

Actual results:
Create windows hangs forever, template not created

Expected results:
Template created using on of the active domains

Additional info:
When third storage domain activated, template creation works.

When looking in the resource allocation tab, the domain which was inactive
is the first one in the list of domains to created the disk on.

Looking into the resource allocation tab when the domain third domain
is inactive, the root cause is revealed - the selected domain is blank. Opening the menu show the 2 active domains, and one blank entry.

Selecting one of the active storage domains, vm creation succeeds.

So we have several issues here:

1. Having empty entry in the storage domains menue
2. Selecting the empty entry as defualt
3. Allowing user to continue when an invalid entry is selected
4. Waiting forever when user click "OK"
5. Even if this was working, selecting a default storage domain
   for the user, hidden in a tab, is bad idea. This is not a setting
   that the user can fix easily after creating a vm. The selection of
   storage domain must be presented to the user when there are multiple
   options.
Comment 1 Nir Soffer 2015-11-14 15:39 EST
Created attachment 1094193 [details]
Screenshot showing the empty menu entry selected by default
Comment 2 Allon Mureinik 2015-11-15 03:52:34 EST
I doubt this is a new bug, but it's an ugly one for sure.
Tal, can we have someone look into this please?
Comment 3 Aharon Canan 2016-01-03 09:14:16 EST
Verified 

vdsm-4.17.15-0.el7ev.noarch
rhevm-3.6.2-0.1.el6.noarch

Verification steps:
1. Have a setup with 3 storage domains
2. Create a vm and then create a template from this vm
3. Copy template disk to all storage domains
5. Put storage domain to maintenance
6. Create vm from the template
7. Put second storage domain to maintenance
8. Create another vm from the template

When looking at the resource allocation tab in Create VM window, only the active storage domains appear.
VM created. all seems ok.
Comment 4 Sandro Bonazzola 2016-01-13 09:37:56 EST
oVirt 3.6.1 has been released, closing current release

Note You need to log in before you can comment on or make changes to this bug.